' ===================================================================================
'          NAME: Ergon O.S. (Ergonomic Operating System)
'     FILE NAME: SharedConstants.bas
'     FILE TYPE: Ergon O.S. Shared Constant Definition Module
'       VERSION: 1.00.000a Build 0001
'  DATE CREATED: Wednesday, October 26th, 2005
' -----------------------------------------------------------------------------------
'   DESCRIPTION: This module defined all the constants that are needed only by the
'                shared set of Ergon O.S. Modules (Shared____.bi and Shared____.bas)
'                files only.
' ===================================================================================
'  PROJECT NAME: Ergon O.S.
'  PROJECT TYPE: Graphical User Interface
'       VERSION: 1.00.000a Build 0001
'   PROJECT URL: Coming Soon
'      LANGUAGE: FreeBasic Version 0.15b and higher
'        TARGET: DOS 32 Bits
' -----------------------------------------------------------------------------------
'   DESCRIPTION: Ergon O.S. is a Graphical User Interface Project designed to be a
'                document based User Interface.  To best describe this project, you
'                simply need to think of the GUI as a document based interface 
'                rather than an application based interface as commonly seen these
'                days.
' ===================================================================================
'   AUTHOR NAME: Stephane Richard
'      NICKNAME: MystikShadows
'         EMAIL: srichard@adaworld.com
'       WEBSITE: Coming Soon
' -----------------------------------------------------------------------------------
'     COPYRIGHT: Copyright (c) January 2005 - Stephane Richard
'       LICENSE: Licenced under the G.P.L. Version 2 licence scheme
'  DISTRIBUTION: Allowed in accordance with the G.P.L. Version 2 licence
'   ALTERATIONS: Allowed as under the termes of the G.P.L. Version 2 licence
' ===================================================================================

' -----------------------------------------------
'  Preprocessor to include this module only once
' -----------------------------------------------
#IFNDEF SharedConstants
#DEFINE SharedConstants

' -------------------------------
'  Keyboard Constant Definitions
' -------------------------------
CONST KeyF1                = 59
CONST KeyF2                = 60
CONST KeyF3                = 61
CONST KeyF4                = 62
CONST KeyF5                = 63
CONST KeyF6                = 64
CONST KeyF7                = 65
CONST KeyF8                = 66
CONST KeyF9                = 67
CONST KeyF10               = 68
CONST KeyF11               = 133
CONST KeyF12               = 134
CONST KeyInsert            = 82
CONST KeyDelete            = 83
CONST KeyHome              = 71
CONST KeyEnd               = 79
CONST KeyPageUp            = 73
CONST KeyPageDown          = 81
CONST KeyUpArrow           = 72
CONST KeyDownArrow         = 80
CONST KeyLeftArrow         = 75
CONST KeyRightArrow        = 77
CONST KeyBackspace         = 14
CONST KeyTabulation        = 15
CONST KeyEnter             = 13
CONST KeyEscape            = 27
CONST KeySpace             = 32
CONST KeyLeftShift         = 42
CONST KeyRightShift        = 54
CONST KeyAlternate         = 56
CONST KeyControl           = 29
CONST KeyCapsLock          = 58

' ----------------------------
'  Color Constant Definitions
' ----------------------------
CONST Black                = 0
CONST Blue                 = 1
CONST Green                = 2
CONST Cyan                 = 3
CONST Red                  = 4
CONST Purple               = 5
CONST Brown                = 6
CONST Grey                 = 7
CONST DarkGrey             = 8
CONST LightBlue            = 9
CONST LightGreen           = 10
CONST LightCyan            = 11
CONST LightRed             = 12
CONST LightMagenta         = 13
CONST Yellow               = 14
CONST White                = 15

' ---------------------------------------------------------
'  This #ENDIF closes to module inclusion check at the top
' ---------------------------------------------------------
#ENDIF