' ===================================================================================
'          NAME: Ergon O.S. (Ergonomic Operating System)
'     FILE NAME: SharedEnumerations.bas
'     FILE TYPE: Ergon O.S. Shared Enumerations Definition Module
'       VERSION: 1.00.000a Build 0001
'  DATE CREATED: Wednesday, October 26th, 2005
' -----------------------------------------------------------------------------------
'   DESCRIPTION: This module defined all the Enumerations that are needed by the
'                shared set of Ergon O.S. Modules (Shared____.bi and Shared____.bas)
'                files only.
' ===================================================================================
'  PROJECT NAME: Ergon O.S.
'  PROJECT TYPE: Graphical User Interface
'       VERSION: 1.00.000a Build 0001
'   PROJECT URL: Coming Soon
'      LANGUAGE: FreeBasic Version 0.15b and higher
'        TARGET: DOS 32 Bits
' -----------------------------------------------------------------------------------
'   DESCRIPTION: Ergon O.S. is a Graphical User Interface Project designed to be a
'                document based User Interface.  To best describe this project, you
'                simply need to think of the GUI as a document based interface
'                rather than an application based interface as commonly seen these
'                days.
' ===================================================================================
'   AUTHOR NAME: Stephane Richard
'      NICKNAME: MystikShadows
'         EMAIL: srichard@adaworld.com
'       WEBSITE: Coming Soon
' -----------------------------------------------------------------------------------
'     COPYRIGHT: Copyright (c) January 2005 - Stephane Richard
'       LICENSE: Licenced under the G.P.L. Version 2 licence scheme
'  DISTRIBUTION: Allowed in accordance with the G.P.L. Version 2 licence
'   ALTERATIONS: Allowed as under the termes of the G.P.L. Version 2 licence
' ===================================================================================

' -----------------------------------------------
'  Preprocessor to include this module only once
' -----------------------------------------------
#IFNDEF SharedEnumerations
#DEFINE SharedEnumerations

' --------------------------------------------------------------
'         NAME: MousePointers
'  DESCRIPTION: Enumeration to hold the different mouse pointer
'               types available
' --------------------------------------------------------------
ENUM MousePointers
     MouseDefault
     MouseBlock
     MouseCross
     MouseIBeam
     MouseIcon
     MouseSize
     MouseLeftArrow
     MouseNorthSouth
     MouseRightArrow
     MouseWestEast
     MouseUpArrow
     MouseHourGlass
     MouseDownArrow
END ENUM

' -------------------------------------------------------------
'         NAME: BorderStyles
'  DESCRIPTION: Forms and frames can be drawing with different
'               different border sets
' -------------------------------------------------------------
ENUM BorderStyles
     BorderNone
     BorderSolid
     BorderFixedSingle
     BorderSizableSingle
     BorderFixedDouble
     BorderSizableDouble
     BorderFixedSolid
     BorderSizableSolid
END ENUM

' ---------------------------------------------------------
'  This #ENDIF closes to module inclusion check at the top
' ---------------------------------------------------------
#ENDIF